For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • GETGet settings
            • PATCHUpdate settings
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWorkspaceSettings

Get settings

GET
/v1/convai/settings
GET
/v1/convai/settings
$curl https://api.elevenlabs.io/v1/convai/settings
1{
2 "conversation_initiation_client_data_webhook": {
3 "url": "https://example.com/webhook",
4 "request_headers": {
5 "Content-Type": "application/json"
6 }
7 },
8 "webhooks": {
9 "post_call_webhook_id": "string",
10 "events": [
11 "transcript"
12 ],
13 "transcript_format": "json",
14 "send_audio": true
15 },
16 "can_use_mcp_servers": false,
17 "rag_retention_period_days": 10,
18 "conversation_embedding_retention_days": 1,
19 "default_livekit_stack": "standard"
20}
Retrieve Convai settings for the workspace
Was this page helpful?
Previous

Update settings

Next
Built with

Headers

xi-api-keystringOptional

Response

Successful Response
conversation_initiation_client_data_webhookobject or null
webhooksobject
can_use_mcp_serversbooleanDefaults to false
Whether the workspace can use MCP servers
rag_retention_period_daysinteger<=30Defaults to 10
conversation_embedding_retention_daysinteger or null<=365

Days to retain conversation embeddings. None means use the system default (30 days).

default_livekit_stackenumDefaults to standard
Allowed values:

Errors

422
Unprocessable Entity Error